Permalink
Browse files

Remove ability to set which ycpc to use

We don't need this anymore. The assumption is that users install the
yast2-core package (which contains compatible version of ycpc) from
YaST:Head:ruby.
  • Loading branch information...
1 parent 1a8c84e commit 2d2efb8d2e39be886ccadb64d6946ed94e393f5a @dmajda dmajda committed May 15, 2013
Showing with 2 additions and 7 deletions.
  1. +1 −3 Rakefile
  2. +0 −2 bin/y2r
  3. +1 −1 lib/y2r/parser.rb
  4. +0 −1 spec/spec_helper.rb
View
@@ -11,9 +11,7 @@ file "spec/y2r_spec.rb" => "spec/y2r_spec.md" do |t|
end
rule ".ybc" => ".ycp" do |t|
- ycpc = ENV["Y2R_YCPC"] || "ycpc"
-
- sh "#{ycpc} -c #{t.source}"
+ sh "ycpc -c #{t.source}"
end
RSpec::Core::RakeTask.new
View
@@ -12,7 +12,6 @@ Usage: y2r [--include-path <path> ...] [--module-path <path> ...] [options]
[<ycp_file>] [<ruby_file>]
Options:
- -y, --ycpc <file> Location of the ycpc interpreter to use.
-I, --include-path <path> Path where to find included files.
-M, --module-path <path> Path where to find modules.
--export-private Export also private symbols from translated modules.
@@ -48,7 +47,6 @@ begin
end
compile_options = {
- :ycpc => options["--ycpc"] || ENV["Y2R_YCPC"],
:module_paths => module_paths,
:include_paths => include_paths,
:export_private => options["--export-private"],
View
@@ -32,7 +32,7 @@ def ycp_to_xml(ycp, options)
begin
begin
cmd = [
- options[:ycpc] || "ycpc",
+ "ycpc",
"--no-std-modules",
"--no-std-includes",
"-c",
View
@@ -25,7 +25,6 @@ def compile_options
end
{
- :ycpc => ENV["Y2R_YCPC"],
:module_paths => module_paths,
:include_paths => include_paths
}

0 comments on commit 2d2efb8

Please sign in to comment.